Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIResource

    java.lang.Object
      javax.faces.component.UIComponent
          org.richfaces.component.UITransient
              org.richfaces.component.UIResource

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    public class UIResource

extends UITransient

Author:
  asmirnov@exadel.com

Field Summary

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIResource(javax.faces.component.UIComponent parent, java.lang.String name, java.lang.String library)`

Method Summary
`protected java.lang.Object` | `getAttribute(java.lang.Object key)`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getLibrary()`
`java.lang.String` | `getName()`
`protected javax.faces.render.Renderer` | `getRenderer(javax.faces.context.FacesContext context)`
`java.lang.String` | `getRendererType()`
`java.lang.String` | `getRendererType(javax.faces.context.FacesContext context)`
`protected boolean` | `hasAttribute(java.lang.Object key)`
`protected java.lang.Object` | `setAttribute(java.lang.String key, java.lang.Object value)`

Methods inherited from class org.richfaces.component.UITransient
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRendersChildren, getValueBinding, getValueExpression, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIComponent
`clearInitialState, encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFacetCount, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, invokeOnComponent, isCompositeComponent, isInView, isVisitable, markInitialState, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIResource

    public UIResource(javax.faces.component.UIComponent parent,
                      java.lang.String name,
                      java.lang.String library)

Method Detail

### hasAttribute

    protected boolean hasAttribute(java.lang.Object key)

  Specified by:
    `hasAttribute` in class `UITransient`

### setAttribute

    protected java.lang.Object setAttribute(java.lang.String key,
                                            java.lang.Object value)

  Specified by:
    `setAttribute` in class `UITransient`

### getAttribute

    protected java.lang.Object getAttribute(java.lang.Object key)

  Specified by:
    `getAttribute` in class `UITransient`

### getName

    public java.lang.String getName()

  Returns:
    the name

### getLibrary

    public java.lang.String getLibrary()

  Returns:
    the library

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `UITransient`

### getRendererType

    public java.lang.String getRendererType(javax.faces.context.FacesContext context)

### getRenderer

    protected javax.faces.render.Renderer getRenderer(javax.faces.context.FacesContext context)

  Overrides:
    `getRenderer` in class `UITransient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.